# coding: utf-8

"""

    # Authentication  <!-- ReDoc-Inject: <security-definitions> -->  # noqa: E501

    OpenAPI spec version: 0.0.0
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class MatchEntity(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'ma_no': 'int',
        'competition': 'str',
        'phase': 'str',
        'poule': 'str',
        'poule_journee': 'str',
        'cdg': 'str',
        'cr_cl_no': 'str',
        'cv_cl_no': 'str',
        'home': 'str',
        'away': 'str',
        'terrain': 'str',
        're_cg_no': 'int',
        'vi_cg_no': 'int',
        'or_cl_no': 'int',
        'season': 'int',
        'status': 'str',
        'ma_cod': 'int',
        'ma_ar': 'str',
        'ma_inver': 'str',
        'ma_arret': 'str',
        'is_overtime': 'str',
        'ma_com': 'str',
        'ma_diff_adr_terr': 'str',
        '_date': 'datetime',
        'time': 'str',
        'initial_date': 'datetime',
        'ma_dat_saisie_resu': 'datetime',
        'ma_dat_saisie_resu_cl': 'datetime',
        'cr_eq_naff': 'int',
        'home_resu': 'str',
        'cr_nb_but': 'int',
        'home_score': 'int',
        'home_but_contre': 'int',
        'home_nb_point': 'int',
        'home_nb_tir_but': 'int',
        'home_nb_point_pena': 'int',
        'home_is_forfeit': 'str',
        'cv_eq_naff': 'int',
        'away_resu': 'str',
        'away_nb_but': 'int',
        'away_score': 'int',
        'away_but_contre': 'int',
        'away_nb_point': 'int',
        'away_nb_tir_but': 'int',
        'away_nb_point_pena': 'int',
        'away_is_forfeit': 'str',
        'cv_nb_km': 'int',
        'cv_nb_km_crte': 'int',
        'seems_postponed': 'str',
        'ma_fmi_pres': 'bool',
        'match_membres': 'list[str]',
        'match_feuille': 'str',
        'equipes': 'list[str]',
        'dossiers': 'list[str]',
        'external_updated_at': 'datetime',
        'id': 'int',
        'external_message_id': 'str',
        'status_label': 'str',
        'past': 'bool',
        'resultat': 'bool'
    }

    attribute_map = {
        'ma_no': 'ma_no',
        'competition': 'competition',
        'phase': 'phase',
        'poule': 'poule',
        'poule_journee': 'poule_journee',
        'cdg': 'cdg',
        'cr_cl_no': 'cr_cl_no',
        'cv_cl_no': 'cv_cl_no',
        'home': 'home',
        'away': 'away',
        'terrain': 'terrain',
        're_cg_no': 're_cg_no',
        'vi_cg_no': 'vi_cg_no',
        'or_cl_no': 'or_cl_no',
        'season': 'season',
        'status': 'status',
        'ma_cod': 'ma_cod',
        'ma_ar': 'ma_ar',
        'ma_inver': 'ma_inver',
        'ma_arret': 'ma_arret',
        'is_overtime': 'is_overtime',
        'ma_com': 'ma_com',
        'ma_diff_adr_terr': 'ma_diff_adr_terr',
        '_date': 'date',
        'time': 'time',
        'initial_date': 'initial_date',
        'ma_dat_saisie_resu': 'ma_dat_saisie_resu',
        'ma_dat_saisie_resu_cl': 'ma_dat_saisie_resu_cl',
        'cr_eq_naff': 'cr_eq_naff',
        'home_resu': 'home_resu',
        'cr_nb_but': 'cr_nb_but',
        'home_score': 'home_score',
        'home_but_contre': 'home_but_contre',
        'home_nb_point': 'home_nb_point',
        'home_nb_tir_but': 'home_nb_tir_but',
        'home_nb_point_pena': 'home_nb_point_pena',
        'home_is_forfeit': 'home_is_forfeit',
        'cv_eq_naff': 'cv_eq_naff',
        'away_resu': 'away_resu',
        'away_nb_but': 'away_nb_but',
        'away_score': 'away_score',
        'away_but_contre': 'away_but_contre',
        'away_nb_point': 'away_nb_point',
        'away_nb_tir_but': 'away_nb_tir_but',
        'away_nb_point_pena': 'away_nb_point_pena',
        'away_is_forfeit': 'away_is_forfeit',
        'cv_nb_km': 'cv_nb_km',
        'cv_nb_km_crte': 'cv_nb_km_crte',
        'seems_postponed': 'seems_postponed',
        'ma_fmi_pres': 'ma_fmi_pres',
        'match_membres': 'match_membres',
        'match_feuille': 'match_feuille',
        'equipes': 'equipes',
        'dossiers': 'dossiers',
        'external_updated_at': 'external_updated_at',
        'id': 'id',
        'external_message_id': 'external_message_id',
        'status_label': 'status_label',
        'past': 'past',
        'resultat': 'resultat'
    }

    def __init__(self, ma_no=None, competition=None, phase=None, poule=None, poule_journee=None, cdg=None, cr_cl_no=None, cv_cl_no=None, home=None, away=None, terrain=None, re_cg_no=None, vi_cg_no=None, or_cl_no=None, season=None, status=None, ma_cod=None, ma_ar=None, ma_inver=None, ma_arret=None, is_overtime=None, ma_com=None, ma_diff_adr_terr=None, _date=None, time=None, initial_date=None, ma_dat_saisie_resu=None, ma_dat_saisie_resu_cl=None, cr_eq_naff=None, home_resu=None, cr_nb_but=None, home_score=None, home_but_contre=None, home_nb_point=None, home_nb_tir_but=None, home_nb_point_pena=None, home_is_forfeit=None, cv_eq_naff=None, away_resu=None, away_nb_but=None, away_score=None, away_but_contre=None, away_nb_point=None, away_nb_tir_but=None, away_nb_point_pena=None, away_is_forfeit=None, cv_nb_km=None, cv_nb_km_crte=None, seems_postponed=None, ma_fmi_pres=None, match_membres=None, match_feuille=None, equipes=None, dossiers=None, external_updated_at=None, id=None, external_message_id=None, status_label=None, past=None, resultat=None):  # noqa: E501
        """MatchEntity - a model defined in Swagger"""  # noqa: E501
        self._ma_no = None
        self._competition = None
        self._phase = None
        self._poule = None
        self._poule_journee = None
        self._cdg = None
        self._cr_cl_no = None
        self._cv_cl_no = None
        self._home = None
        self._away = None
        self._terrain = None
        self._re_cg_no = None
        self._vi_cg_no = None
        self._or_cl_no = None
        self._season = None
        self._status = None
        self._ma_cod = None
        self._ma_ar = None
        self._ma_inver = None
        self._ma_arret = None
        self._is_overtime = None
        self._ma_com = None
        self._ma_diff_adr_terr = None
        self.__date = None
        self._time = None
        self._initial_date = None
        self._ma_dat_saisie_resu = None
        self._ma_dat_saisie_resu_cl = None
        self._cr_eq_naff = None
        self._home_resu = None
        self._cr_nb_but = None
        self._home_score = None
        self._home_but_contre = None
        self._home_nb_point = None
        self._home_nb_tir_but = None
        self._home_nb_point_pena = None
        self._home_is_forfeit = None
        self._cv_eq_naff = None
        self._away_resu = None
        self._away_nb_but = None
        self._away_score = None
        self._away_but_contre = None
        self._away_nb_point = None
        self._away_nb_tir_but = None
        self._away_nb_point_pena = None
        self._away_is_forfeit = None
        self._cv_nb_km = None
        self._cv_nb_km_crte = None
        self._seems_postponed = None
        self._ma_fmi_pres = None
        self._match_membres = None
        self._match_feuille = None
        self._equipes = None
        self._dossiers = None
        self._external_updated_at = None
        self._id = None
        self._external_message_id = None
        self._status_label = None
        self._past = None
        self._resultat = None
        self.discriminator = None
        if ma_no is not None:
            self.ma_no = ma_no
        if competition is not None:
            self.competition = competition
        if phase is not None:
            self.phase = phase
        if poule is not None:
            self.poule = poule
        if poule_journee is not None:
            self.poule_journee = poule_journee
        if cdg is not None:
            self.cdg = cdg
        if cr_cl_no is not None:
            self.cr_cl_no = cr_cl_no
        if cv_cl_no is not None:
            self.cv_cl_no = cv_cl_no
        if home is not None:
            self.home = home
        if away is not None:
            self.away = away
        if terrain is not None:
            self.terrain = terrain
        if re_cg_no is not None:
            self.re_cg_no = re_cg_no
        if vi_cg_no is not None:
            self.vi_cg_no = vi_cg_no
        if or_cl_no is not None:
            self.or_cl_no = or_cl_no
        if season is not None:
            self.season = season
        if status is not None:
            self.status = status
        if ma_cod is not None:
            self.ma_cod = ma_cod
        if ma_ar is not None:
            self.ma_ar = ma_ar
        if ma_inver is not None:
            self.ma_inver = ma_inver
        if ma_arret is not None:
            self.ma_arret = ma_arret
        if is_overtime is not None:
            self.is_overtime = is_overtime
        if ma_com is not None:
            self.ma_com = ma_com
        if ma_diff_adr_terr is not None:
            self.ma_diff_adr_terr = ma_diff_adr_terr
        if _date is not None:
            self._date = _date
        if time is not None:
            self.time = time
        if initial_date is not None:
            self.initial_date = initial_date
        if ma_dat_saisie_resu is not None:
            self.ma_dat_saisie_resu = ma_dat_saisie_resu
        if ma_dat_saisie_resu_cl is not None:
            self.ma_dat_saisie_resu_cl = ma_dat_saisie_resu_cl
        if cr_eq_naff is not None:
            self.cr_eq_naff = cr_eq_naff
        if home_resu is not None:
            self.home_resu = home_resu
        if cr_nb_but is not None:
            self.cr_nb_but = cr_nb_but
        if home_score is not None:
            self.home_score = home_score
        if home_but_contre is not None:
            self.home_but_contre = home_but_contre
        if home_nb_point is not None:
            self.home_nb_point = home_nb_point
        if home_nb_tir_but is not None:
            self.home_nb_tir_but = home_nb_tir_but
        if home_nb_point_pena is not None:
            self.home_nb_point_pena = home_nb_point_pena
        if home_is_forfeit is not None:
            self.home_is_forfeit = home_is_forfeit
        if cv_eq_naff is not None:
            self.cv_eq_naff = cv_eq_naff
        if away_resu is not None:
            self.away_resu = away_resu
        if away_nb_but is not None:
            self.away_nb_but = away_nb_but
        if away_score is not None:
            self.away_score = away_score
        if away_but_contre is not None:
            self.away_but_contre = away_but_contre
        if away_nb_point is not None:
            self.away_nb_point = away_nb_point
        if away_nb_tir_but is not None:
            self.away_nb_tir_but = away_nb_tir_but
        if away_nb_point_pena is not None:
            self.away_nb_point_pena = away_nb_point_pena
        if away_is_forfeit is not None:
            self.away_is_forfeit = away_is_forfeit
        if cv_nb_km is not None:
            self.cv_nb_km = cv_nb_km
        if cv_nb_km_crte is not None:
            self.cv_nb_km_crte = cv_nb_km_crte
        if seems_postponed is not None:
            self.seems_postponed = seems_postponed
        if ma_fmi_pres is not None:
            self.ma_fmi_pres = ma_fmi_pres
        if match_membres is not None:
            self.match_membres = match_membres
        if match_feuille is not None:
            self.match_feuille = match_feuille
        if equipes is not None:
            self.equipes = equipes
        if dossiers is not None:
            self.dossiers = dossiers
        if external_updated_at is not None:
            self.external_updated_at = external_updated_at
        if id is not None:
            self.id = id
        if external_message_id is not None:
            self.external_message_id = external_message_id
        if status_label is not None:
            self.status_label = status_label
        if past is not None:
            self.past = past
        if resultat is not None:
            self.resultat = resultat

    @property
    def ma_no(self):
        """Gets the ma_no of this MatchEntity.  # noqa: E501


        :return: The ma_no of this MatchEntity.  # noqa: E501
        :rtype: int
        """
        return self._ma_no

    @ma_no.setter
    def ma_no(self, ma_no):
        """Sets the ma_no of this MatchEntity.


        :param ma_no: The ma_no of this MatchEntity.  # noqa: E501
        :type: int
        """

        self._ma_no = ma_no

    @property
    def competition(self):
        """Gets the competition of this MatchEntity.  # noqa: E501


        :return: The competition of this MatchEntity.  # noqa: E501
        :rtype: str
        """
        return self._competition

    @competition.setter
    def competition(self, competition):
        """Sets the competition of this MatchEntity.


        :param competition: The competition of this MatchEntity.  # noqa: E501
        :type: str
        """

        self._competition = competition

    @property
    def phase(self):
        """Gets the phase of this MatchEntity.  # noqa: E501


        :return: The phase of this MatchEntity.  # noqa: E501
        :rtype: str
        """
        return self._phase

    @phase.setter
    def phase(self, phase):
        """Sets the phase of this MatchEntity.


        :param phase: The phase of this MatchEntity.  # noqa: E501
        :type: str
        """

        self._phase = phase

    @property
    def poule(self):
        """Gets the poule of this MatchEntity.  # noqa: E501


        :return: The poule of this MatchEntity.  # noqa: E501
        :rtype: str
        """
        return self._poule

    @poule.setter
    def poule(self, poule):
        """Sets the poule of this MatchEntity.


        :param poule: The poule of this MatchEntity.  # noqa: E501
        :type: str
        """

        self._poule = poule

    @property
    def poule_journee(self):
        """Gets the poule_journee of this MatchEntity.  # noqa: E501


        :return: The poule_journee of this MatchEntity.  # noqa: E501
        :rtype: str
        """
        return self._poule_journee

    @poule_journee.setter
    def poule_journee(self, poule_journee):
        """Sets the poule_journee of this MatchEntity.


        :param poule_journee: The poule_journee of this MatchEntity.  # noqa: E501
        :type: str
        """

        self._poule_journee = poule_journee

    @property
    def cdg(self):
        """Gets the cdg of this MatchEntity.  # noqa: E501


        :return: The cdg of this MatchEntity.  # noqa: E501
        :rtype: str
        """
        return self._cdg

    @cdg.setter
    def cdg(self, cdg):
        """Sets the cdg of this MatchEntity.


        :param cdg: The cdg of this MatchEntity.  # noqa: E501
        :type: str
        """

        self._cdg = cdg

    @property
    def cr_cl_no(self):
        """Gets the cr_cl_no of this MatchEntity.  # noqa: E501


        :return: The cr_cl_no of this MatchEntity.  # noqa: E501
        :rtype: str
        """
        return self._cr_cl_no

    @cr_cl_no.setter
    def cr_cl_no(self, cr_cl_no):
        """Sets the cr_cl_no of this MatchEntity.


        :param cr_cl_no: The cr_cl_no of this MatchEntity.  # noqa: E501
        :type: str
        """

        self._cr_cl_no = cr_cl_no

    @property
    def cv_cl_no(self):
        """Gets the cv_cl_no of this MatchEntity.  # noqa: E501


        :return: The cv_cl_no of this MatchEntity.  # noqa: E501
        :rtype: str
        """
        return self._cv_cl_no

    @cv_cl_no.setter
    def cv_cl_no(self, cv_cl_no):
        """Sets the cv_cl_no of this MatchEntity.


        :param cv_cl_no: The cv_cl_no of this MatchEntity.  # noqa: E501
        :type: str
        """

        self._cv_cl_no = cv_cl_no

    @property
    def home(self):
        """Gets the home of this MatchEntity.  # noqa: E501


        :return: The home of this MatchEntity.  # noqa: E501
        :rtype: str
        """
        return self._home

    @home.setter
    def home(self, home):
        """Sets the home of this MatchEntity.


        :param home: The home of this MatchEntity.  # noqa: E501
        :type: str
        """

        self._home = home

    @property
    def away(self):
        """Gets the away of this MatchEntity.  # noqa: E501


        :return: The away of this MatchEntity.  # noqa: E501
        :rtype: str
        """
        return self._away

    @away.setter
    def away(self, away):
        """Sets the away of this MatchEntity.


        :param away: The away of this MatchEntity.  # noqa: E501
        :type: str
        """

        self._away = away

    @property
    def terrain(self):
        """Gets the terrain of this MatchEntity.  # noqa: E501


        :return: The terrain of this MatchEntity.  # noqa: E501
        :rtype: str
        """
        return self._terrain

    @terrain.setter
    def terrain(self, terrain):
        """Sets the terrain of this MatchEntity.


        :param terrain: The terrain of this MatchEntity.  # noqa: E501
        :type: str
        """

        self._terrain = terrain

    @property
    def re_cg_no(self):
        """Gets the re_cg_no of this MatchEntity.  # noqa: E501


        :return: The re_cg_no of this MatchEntity.  # noqa: E501
        :rtype: int
        """
        return self._re_cg_no

    @re_cg_no.setter
    def re_cg_no(self, re_cg_no):
        """Sets the re_cg_no of this MatchEntity.


        :param re_cg_no: The re_cg_no of this MatchEntity.  # noqa: E501
        :type: int
        """

        self._re_cg_no = re_cg_no

    @property
    def vi_cg_no(self):
        """Gets the vi_cg_no of this MatchEntity.  # noqa: E501


        :return: The vi_cg_no of this MatchEntity.  # noqa: E501
        :rtype: int
        """
        return self._vi_cg_no

    @vi_cg_no.setter
    def vi_cg_no(self, vi_cg_no):
        """Sets the vi_cg_no of this MatchEntity.


        :param vi_cg_no: The vi_cg_no of this MatchEntity.  # noqa: E501
        :type: int
        """

        self._vi_cg_no = vi_cg_no

    @property
    def or_cl_no(self):
        """Gets the or_cl_no of this MatchEntity.  # noqa: E501


        :return: The or_cl_no of this MatchEntity.  # noqa: E501
        :rtype: int
        """
        return self._or_cl_no

    @or_cl_no.setter
    def or_cl_no(self, or_cl_no):
        """Sets the or_cl_no of this MatchEntity.


        :param or_cl_no: The or_cl_no of this MatchEntity.  # noqa: E501
        :type: int
        """

        self._or_cl_no = or_cl_no

    @property
    def season(self):
        """Gets the season of this MatchEntity.  # noqa: E501


        :return: The season of this MatchEntity.  # noqa: E501
        :rtype: int
        """
        return self._season

    @season.setter
    def season(self, season):
        """Sets the season of this MatchEntity.


        :param season: The season of this MatchEntity.  # noqa: E501
        :type: int
        """

        self._season = season

    @property
    def status(self):
        """Gets the status of this MatchEntity.  # noqa: E501


        :return: The status of this MatchEntity.  # noqa: E501
        :rtype: str
        """
        return self._status

    @status.setter
    def status(self, status):
        """Sets the status of this MatchEntity.


        :param status: The status of this MatchEntity.  # noqa: E501
        :type: str
        """

        self._status = status

    @property
    def ma_cod(self):
        """Gets the ma_cod of this MatchEntity.  # noqa: E501


        :return: The ma_cod of this MatchEntity.  # noqa: E501
        :rtype: int
        """
        return self._ma_cod

    @ma_cod.setter
    def ma_cod(self, ma_cod):
        """Sets the ma_cod of this MatchEntity.


        :param ma_cod: The ma_cod of this MatchEntity.  # noqa: E501
        :type: int
        """

        self._ma_cod = ma_cod

    @property
    def ma_ar(self):
        """Gets the ma_ar of this MatchEntity.  # noqa: E501


        :return: The ma_ar of this MatchEntity.  # noqa: E501
        :rtype: str
        """
        return self._ma_ar

    @ma_ar.setter
    def ma_ar(self, ma_ar):
        """Sets the ma_ar of this MatchEntity.


        :param ma_ar: The ma_ar of this MatchEntity.  # noqa: E501
        :type: str
        """

        self._ma_ar = ma_ar

    @property
    def ma_inver(self):
        """Gets the ma_inver of this MatchEntity.  # noqa: E501


        :return: The ma_inver of this MatchEntity.  # noqa: E501
        :rtype: str
        """
        return self._ma_inver

    @ma_inver.setter
    def ma_inver(self, ma_inver):
        """Sets the ma_inver of this MatchEntity.


        :param ma_inver: The ma_inver of this MatchEntity.  # noqa: E501
        :type: str
        """

        self._ma_inver = ma_inver

    @property
    def ma_arret(self):
        """Gets the ma_arret of this MatchEntity.  # noqa: E501


        :return: The ma_arret of this MatchEntity.  # noqa: E501
        :rtype: str
        """
        return self._ma_arret

    @ma_arret.setter
    def ma_arret(self, ma_arret):
        """Sets the ma_arret of this MatchEntity.


        :param ma_arret: The ma_arret of this MatchEntity.  # noqa: E501
        :type: str
        """

        self._ma_arret = ma_arret

    @property
    def is_overtime(self):
        """Gets the is_overtime of this MatchEntity.  # noqa: E501


        :return: The is_overtime of this MatchEntity.  # noqa: E501
        :rtype: str
        """
        return self._is_overtime

    @is_overtime.setter
    def is_overtime(self, is_overtime):
        """Sets the is_overtime of this MatchEntity.


        :param is_overtime: The is_overtime of this MatchEntity.  # noqa: E501
        :type: str
        """

        self._is_overtime = is_overtime

    @property
    def ma_com(self):
        """Gets the ma_com of this MatchEntity.  # noqa: E501


        :return: The ma_com of this MatchEntity.  # noqa: E501
        :rtype: str
        """
        return self._ma_com

    @ma_com.setter
    def ma_com(self, ma_com):
        """Sets the ma_com of this MatchEntity.


        :param ma_com: The ma_com of this MatchEntity.  # noqa: E501
        :type: str
        """

        self._ma_com = ma_com

    @property
    def ma_diff_adr_terr(self):
        """Gets the ma_diff_adr_terr of this MatchEntity.  # noqa: E501


        :return: The ma_diff_adr_terr of this MatchEntity.  # noqa: E501
        :rtype: str
        """
        return self._ma_diff_adr_terr

    @ma_diff_adr_terr.setter
    def ma_diff_adr_terr(self, ma_diff_adr_terr):
        """Sets the ma_diff_adr_terr of this MatchEntity.


        :param ma_diff_adr_terr: The ma_diff_adr_terr of this MatchEntity.  # noqa: E501
        :type: str
        """

        self._ma_diff_adr_terr = ma_diff_adr_terr

    @property
    def _date(self):
        """Gets the _date of this MatchEntity.  # noqa: E501


        :return: The _date of this MatchEntity.  # noqa: E501
        :rtype: datetime
        """
        return self.__date

    @_date.setter
    def _date(self, _date):
        """Sets the _date of this MatchEntity.


        :param _date: The _date of this MatchEntity.  # noqa: E501
        :type: datetime
        """

        self.__date = _date

    @property
    def time(self):
        """Gets the time of this MatchEntity.  # noqa: E501


        :return: The time of this MatchEntity.  # noqa: E501
        :rtype: str
        """
        return self._time

    @time.setter
    def time(self, time):
        """Sets the time of this MatchEntity.


        :param time: The time of this MatchEntity.  # noqa: E501
        :type: str
        """

        self._time = time

    @property
    def initial_date(self):
        """Gets the initial_date of this MatchEntity.  # noqa: E501


        :return: The initial_date of this MatchEntity.  # noqa: E501
        :rtype: datetime
        """
        return self._initial_date

    @initial_date.setter
    def initial_date(self, initial_date):
        """Sets the initial_date of this MatchEntity.


        :param initial_date: The initial_date of this MatchEntity.  # noqa: E501
        :type: datetime
        """

        self._initial_date = initial_date

    @property
    def ma_dat_saisie_resu(self):
        """Gets the ma_dat_saisie_resu of this MatchEntity.  # noqa: E501


        :return: The ma_dat_saisie_resu of this MatchEntity.  # noqa: E501
        :rtype: datetime
        """
        return self._ma_dat_saisie_resu

    @ma_dat_saisie_resu.setter
    def ma_dat_saisie_resu(self, ma_dat_saisie_resu):
        """Sets the ma_dat_saisie_resu of this MatchEntity.


        :param ma_dat_saisie_resu: The ma_dat_saisie_resu of this MatchEntity.  # noqa: E501
        :type: datetime
        """

        self._ma_dat_saisie_resu = ma_dat_saisie_resu

    @property
    def ma_dat_saisie_resu_cl(self):
        """Gets the ma_dat_saisie_resu_cl of this MatchEntity.  # noqa: E501


        :return: The ma_dat_saisie_resu_cl of this MatchEntity.  # noqa: E501
        :rtype: datetime
        """
        return self._ma_dat_saisie_resu_cl

    @ma_dat_saisie_resu_cl.setter
    def ma_dat_saisie_resu_cl(self, ma_dat_saisie_resu_cl):
        """Sets the ma_dat_saisie_resu_cl of this MatchEntity.


        :param ma_dat_saisie_resu_cl: The ma_dat_saisie_resu_cl of this MatchEntity.  # noqa: E501
        :type: datetime
        """

        self._ma_dat_saisie_resu_cl = ma_dat_saisie_resu_cl

    @property
    def cr_eq_naff(self):
        """Gets the cr_eq_naff of this MatchEntity.  # noqa: E501


        :return: The cr_eq_naff of this MatchEntity.  # noqa: E501
        :rtype: int
        """
        return self._cr_eq_naff

    @cr_eq_naff.setter
    def cr_eq_naff(self, cr_eq_naff):
        """Sets the cr_eq_naff of this MatchEntity.


        :param cr_eq_naff: The cr_eq_naff of this MatchEntity.  # noqa: E501
        :type: int
        """

        self._cr_eq_naff = cr_eq_naff

    @property
    def home_resu(self):
        """Gets the home_resu of this MatchEntity.  # noqa: E501


        :return: The home_resu of this MatchEntity.  # noqa: E501
        :rtype: str
        """
        return self._home_resu

    @home_resu.setter
    def home_resu(self, home_resu):
        """Sets the home_resu of this MatchEntity.


        :param home_resu: The home_resu of this MatchEntity.  # noqa: E501
        :type: str
        """

        self._home_resu = home_resu

    @property
    def cr_nb_but(self):
        """Gets the cr_nb_but of this MatchEntity.  # noqa: E501


        :return: The cr_nb_but of this MatchEntity.  # noqa: E501
        :rtype: int
        """
        return self._cr_nb_but

    @cr_nb_but.setter
    def cr_nb_but(self, cr_nb_but):
        """Sets the cr_nb_but of this MatchEntity.


        :param cr_nb_but: The cr_nb_but of this MatchEntity.  # noqa: E501
        :type: int
        """

        self._cr_nb_but = cr_nb_but

    @property
    def home_score(self):
        """Gets the home_score of this MatchEntity.  # noqa: E501


        :return: The home_score of this MatchEntity.  # noqa: E501
        :rtype: int
        """
        return self._home_score

    @home_score.setter
    def home_score(self, home_score):
        """Sets the home_score of this MatchEntity.


        :param home_score: The home_score of this MatchEntity.  # noqa: E501
        :type: int
        """

        self._home_score = home_score

    @property
    def home_but_contre(self):
        """Gets the home_but_contre of this MatchEntity.  # noqa: E501


        :return: The home_but_contre of this MatchEntity.  # noqa: E501
        :rtype: int
        """
        return self._home_but_contre

    @home_but_contre.setter
    def home_but_contre(self, home_but_contre):
        """Sets the home_but_contre of this MatchEntity.


        :param home_but_contre: The home_but_contre of this MatchEntity.  # noqa: E501
        :type: int
        """

        self._home_but_contre = home_but_contre

    @property
    def home_nb_point(self):
        """Gets the home_nb_point of this MatchEntity.  # noqa: E501


        :return: The home_nb_point of this MatchEntity.  # noqa: E501
        :rtype: int
        """
        return self._home_nb_point

    @home_nb_point.setter
    def home_nb_point(self, home_nb_point):
        """Sets the home_nb_point of this MatchEntity.


        :param home_nb_point: The home_nb_point of this MatchEntity.  # noqa: E501
        :type: int
        """

        self._home_nb_point = home_nb_point

    @property
    def home_nb_tir_but(self):
        """Gets the home_nb_tir_but of this MatchEntity.  # noqa: E501


        :return: The home_nb_tir_but of this MatchEntity.  # noqa: E501
        :rtype: int
        """
        return self._home_nb_tir_but

    @home_nb_tir_but.setter
    def home_nb_tir_but(self, home_nb_tir_but):
        """Sets the home_nb_tir_but of this MatchEntity.


        :param home_nb_tir_but: The home_nb_tir_but of this MatchEntity.  # noqa: E501
        :type: int
        """

        self._home_nb_tir_but = home_nb_tir_but

    @property
    def home_nb_point_pena(self):
        """Gets the home_nb_point_pena of this MatchEntity.  # noqa: E501


        :return: The home_nb_point_pena of this MatchEntity.  # noqa: E501
        :rtype: int
        """
        return self._home_nb_point_pena

    @home_nb_point_pena.setter
    def home_nb_point_pena(self, home_nb_point_pena):
        """Sets the home_nb_point_pena of this MatchEntity.


        :param home_nb_point_pena: The home_nb_point_pena of this MatchEntity.  # noqa: E501
        :type: int
        """

        self._home_nb_point_pena = home_nb_point_pena

    @property
    def home_is_forfeit(self):
        """Gets the home_is_forfeit of this MatchEntity.  # noqa: E501


        :return: The home_is_forfeit of this MatchEntity.  # noqa: E501
        :rtype: str
        """
        return self._home_is_forfeit

    @home_is_forfeit.setter
    def home_is_forfeit(self, home_is_forfeit):
        """Sets the home_is_forfeit of this MatchEntity.


        :param home_is_forfeit: The home_is_forfeit of this MatchEntity.  # noqa: E501
        :type: str
        """

        self._home_is_forfeit = home_is_forfeit

    @property
    def cv_eq_naff(self):
        """Gets the cv_eq_naff of this MatchEntity.  # noqa: E501


        :return: The cv_eq_naff of this MatchEntity.  # noqa: E501
        :rtype: int
        """
        return self._cv_eq_naff

    @cv_eq_naff.setter
    def cv_eq_naff(self, cv_eq_naff):
        """Sets the cv_eq_naff of this MatchEntity.


        :param cv_eq_naff: The cv_eq_naff of this MatchEntity.  # noqa: E501
        :type: int
        """

        self._cv_eq_naff = cv_eq_naff

    @property
    def away_resu(self):
        """Gets the away_resu of this MatchEntity.  # noqa: E501


        :return: The away_resu of this MatchEntity.  # noqa: E501
        :rtype: str
        """
        return self._away_resu

    @away_resu.setter
    def away_resu(self, away_resu):
        """Sets the away_resu of this MatchEntity.


        :param away_resu: The away_resu of this MatchEntity.  # noqa: E501
        :type: str
        """

        self._away_resu = away_resu

    @property
    def away_nb_but(self):
        """Gets the away_nb_but of this MatchEntity.  # noqa: E501


        :return: The away_nb_but of this MatchEntity.  # noqa: E501
        :rtype: int
        """
        return self._away_nb_but

    @away_nb_but.setter
    def away_nb_but(self, away_nb_but):
        """Sets the away_nb_but of this MatchEntity.


        :param away_nb_but: The away_nb_but of this MatchEntity.  # noqa: E501
        :type: int
        """

        self._away_nb_but = away_nb_but

    @property
    def away_score(self):
        """Gets the away_score of this MatchEntity.  # noqa: E501


        :return: The away_score of this MatchEntity.  # noqa: E501
        :rtype: int
        """
        return self._away_score

    @away_score.setter
    def away_score(self, away_score):
        """Sets the away_score of this MatchEntity.


        :param away_score: The away_score of this MatchEntity.  # noqa: E501
        :type: int
        """

        self._away_score = away_score

    @property
    def away_but_contre(self):
        """Gets the away_but_contre of this MatchEntity.  # noqa: E501


        :return: The away_but_contre of this MatchEntity.  # noqa: E501
        :rtype: int
        """
        return self._away_but_contre

    @away_but_contre.setter
    def away_but_contre(self, away_but_contre):
        """Sets the away_but_contre of this MatchEntity.


        :param away_but_contre: The away_but_contre of this MatchEntity.  # noqa: E501
        :type: int
        """

        self._away_but_contre = away_but_contre

    @property
    def away_nb_point(self):
        """Gets the away_nb_point of this MatchEntity.  # noqa: E501


        :return: The away_nb_point of this MatchEntity.  # noqa: E501
        :rtype: int
        """
        return self._away_nb_point

    @away_nb_point.setter
    def away_nb_point(self, away_nb_point):
        """Sets the away_nb_point of this MatchEntity.


        :param away_nb_point: The away_nb_point of this MatchEntity.  # noqa: E501
        :type: int
        """

        self._away_nb_point = away_nb_point

    @property
    def away_nb_tir_but(self):
        """Gets the away_nb_tir_but of this MatchEntity.  # noqa: E501


        :return: The away_nb_tir_but of this MatchEntity.  # noqa: E501
        :rtype: int
        """
        return self._away_nb_tir_but

    @away_nb_tir_but.setter
    def away_nb_tir_but(self, away_nb_tir_but):
        """Sets the away_nb_tir_but of this MatchEntity.


        :param away_nb_tir_but: The away_nb_tir_but of this MatchEntity.  # noqa: E501
        :type: int
        """

        self._away_nb_tir_but = away_nb_tir_but

    @property
    def away_nb_point_pena(self):
        """Gets the away_nb_point_pena of this MatchEntity.  # noqa: E501


        :return: The away_nb_point_pena of this MatchEntity.  # noqa: E501
        :rtype: int
        """
        return self._away_nb_point_pena

    @away_nb_point_pena.setter
    def away_nb_point_pena(self, away_nb_point_pena):
        """Sets the away_nb_point_pena of this MatchEntity.


        :param away_nb_point_pena: The away_nb_point_pena of this MatchEntity.  # noqa: E501
        :type: int
        """

        self._away_nb_point_pena = away_nb_point_pena

    @property
    def away_is_forfeit(self):
        """Gets the away_is_forfeit of this MatchEntity.  # noqa: E501


        :return: The away_is_forfeit of this MatchEntity.  # noqa: E501
        :rtype: str
        """
        return self._away_is_forfeit

    @away_is_forfeit.setter
    def away_is_forfeit(self, away_is_forfeit):
        """Sets the away_is_forfeit of this MatchEntity.


        :param away_is_forfeit: The away_is_forfeit of this MatchEntity.  # noqa: E501
        :type: str
        """

        self._away_is_forfeit = away_is_forfeit

    @property
    def cv_nb_km(self):
        """Gets the cv_nb_km of this MatchEntity.  # noqa: E501


        :return: The cv_nb_km of this MatchEntity.  # noqa: E501
        :rtype: int
        """
        return self._cv_nb_km

    @cv_nb_km.setter
    def cv_nb_km(self, cv_nb_km):
        """Sets the cv_nb_km of this MatchEntity.


        :param cv_nb_km: The cv_nb_km of this MatchEntity.  # noqa: E501
        :type: int
        """

        self._cv_nb_km = cv_nb_km

    @property
    def cv_nb_km_crte(self):
        """Gets the cv_nb_km_crte of this MatchEntity.  # noqa: E501


        :return: The cv_nb_km_crte of this MatchEntity.  # noqa: E501
        :rtype: int
        """
        return self._cv_nb_km_crte

    @cv_nb_km_crte.setter
    def cv_nb_km_crte(self, cv_nb_km_crte):
        """Sets the cv_nb_km_crte of this MatchEntity.


        :param cv_nb_km_crte: The cv_nb_km_crte of this MatchEntity.  # noqa: E501
        :type: int
        """

        self._cv_nb_km_crte = cv_nb_km_crte

    @property
    def seems_postponed(self):
        """Gets the seems_postponed of this MatchEntity.  # noqa: E501


        :return: The seems_postponed of this MatchEntity.  # noqa: E501
        :rtype: str
        """
        return self._seems_postponed

    @seems_postponed.setter
    def seems_postponed(self, seems_postponed):
        """Sets the seems_postponed of this MatchEntity.


        :param seems_postponed: The seems_postponed of this MatchEntity.  # noqa: E501
        :type: str
        """

        self._seems_postponed = seems_postponed

    @property
    def ma_fmi_pres(self):
        """Gets the ma_fmi_pres of this MatchEntity.  # noqa: E501


        :return: The ma_fmi_pres of this MatchEntity.  # noqa: E501
        :rtype: bool
        """
        return self._ma_fmi_pres

    @ma_fmi_pres.setter
    def ma_fmi_pres(self, ma_fmi_pres):
        """Sets the ma_fmi_pres of this MatchEntity.


        :param ma_fmi_pres: The ma_fmi_pres of this MatchEntity.  # noqa: E501
        :type: bool
        """

        self._ma_fmi_pres = ma_fmi_pres

    @property
    def match_membres(self):
        """Gets the match_membres of this MatchEntity.  # noqa: E501


        :return: The match_membres of this MatchEntity.  # noqa: E501
        :rtype: list[str]
        """
        return self._match_membres

    @match_membres.setter
    def match_membres(self, match_membres):
        """Sets the match_membres of this MatchEntity.


        :param match_membres: The match_membres of this MatchEntity.  # noqa: E501
        :type: list[str]
        """

        self._match_membres = match_membres

    @property
    def match_feuille(self):
        """Gets the match_feuille of this MatchEntity.  # noqa: E501


        :return: The match_feuille of this MatchEntity.  # noqa: E501
        :rtype: str
        """
        return self._match_feuille

    @match_feuille.setter
    def match_feuille(self, match_feuille):
        """Sets the match_feuille of this MatchEntity.


        :param match_feuille: The match_feuille of this MatchEntity.  # noqa: E501
        :type: str
        """

        self._match_feuille = match_feuille

    @property
    def equipes(self):
        """Gets the equipes of this MatchEntity.  # noqa: E501


        :return: The equipes of this MatchEntity.  # noqa: E501
        :rtype: list[str]
        """
        return self._equipes

    @equipes.setter
    def equipes(self, equipes):
        """Sets the equipes of this MatchEntity.


        :param equipes: The equipes of this MatchEntity.  # noqa: E501
        :type: list[str]
        """

        self._equipes = equipes

    @property
    def dossiers(self):
        """Gets the dossiers of this MatchEntity.  # noqa: E501


        :return: The dossiers of this MatchEntity.  # noqa: E501
        :rtype: list[str]
        """
        return self._dossiers

    @dossiers.setter
    def dossiers(self, dossiers):
        """Sets the dossiers of this MatchEntity.


        :param dossiers: The dossiers of this MatchEntity.  # noqa: E501
        :type: list[str]
        """

        self._dossiers = dossiers

    @property
    def external_updated_at(self):
        """Gets the external_updated_at of this MatchEntity.  # noqa: E501


        :return: The external_updated_at of this MatchEntity.  # noqa: E501
        :rtype: datetime
        """
        return self._external_updated_at

    @external_updated_at.setter
    def external_updated_at(self, external_updated_at):
        """Sets the external_updated_at of this MatchEntity.


        :param external_updated_at: The external_updated_at of this MatchEntity.  # noqa: E501
        :type: datetime
        """

        self._external_updated_at = external_updated_at

    @property
    def id(self):
        """Gets the id of this MatchEntity.  # noqa: E501


        :return: The id of this MatchEntity.  # noqa: E501
        :rtype: int
        """
        return self._id

    @id.setter
    def id(self, id):
        """Sets the id of this MatchEntity.


        :param id: The id of this MatchEntity.  # noqa: E501
        :type: int
        """

        self._id = id

    @property
    def external_message_id(self):
        """Gets the external_message_id of this MatchEntity.  # noqa: E501


        :return: The external_message_id of this MatchEntity.  # noqa: E501
        :rtype: str
        """
        return self._external_message_id

    @external_message_id.setter
    def external_message_id(self, external_message_id):
        """Sets the external_message_id of this MatchEntity.


        :param external_message_id: The external_message_id of this MatchEntity.  # noqa: E501
        :type: str
        """

        self._external_message_id = external_message_id

    @property
    def status_label(self):
        """Gets the status_label of this MatchEntity.  # noqa: E501


        :return: The status_label of this MatchEntity.  # noqa: E501
        :rtype: str
        """
        return self._status_label

    @status_label.setter
    def status_label(self, status_label):
        """Sets the status_label of this MatchEntity.


        :param status_label: The status_label of this MatchEntity.  # noqa: E501
        :type: str
        """

        self._status_label = status_label

    @property
    def past(self):
        """Gets the past of this MatchEntity.  # noqa: E501

        Return true si le match est passé  # noqa: E501

        :return: The past of this MatchEntity.  # noqa: E501
        :rtype: bool
        """
        return self._past

    @past.setter
    def past(self, past):
        """Sets the past of this MatchEntity.

        Return true si le match est passé  # noqa: E501

        :param past: The past of this MatchEntity.  # noqa: E501
        :type: bool
        """

        self._past = past

    @property
    def resultat(self):
        """Gets the resultat of this MatchEntity.  # noqa: E501


        :return: The resultat of this MatchEntity.  # noqa: E501
        :rtype: bool
        """
        return self._resultat

    @resultat.setter
    def resultat(self, resultat):
        """Sets the resultat of this MatchEntity.


        :param resultat: The resultat of this MatchEntity.  # noqa: E501
        :type: bool
        """

        self._resultat = resultat

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(MatchEntity, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, MatchEntity):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
